Create NFT template (token-type)
This page explains how to create an NFT template (token-type).
This endpoint allows you to create an NFT template which you can use to mint NFTs from. A more technical representation of the template is the token type.
This means you just have to define the NFT template once with parameters like its name, image, and description.
Request Endpoint: reference
POST /api/minter/contracts/{contractId}/token-typesRequest Body:
| Parameter | Description | Type | Required |
|---|---|---|---|
name | The name of the token-type | String | ✅ |
description | The description of the token-type | String | ✅ |
image | The image URL for the token-type that will be displayed | String | ✅ |
{
"name": "My first NFT",
"description": "Venly",
"image": "https://storage-qa.venly.io/applications/1f64ded9-2a05-4824-b682-661023359357/StickFigureHi.png"
}Response Body:
Save the
idfrom the response body. This is the token type ID.
{
"id": 1,
"confirmed": false,
"name": "My first NFT",
"description": "Venly",
"fungible": false,
"burnable": false,
"image": "https://storage-qa.venly.io/applications/1f64ded9-2a05-4824-b682-661023359357/StickFigureHi.png",
"imageThumbnail": "https://storage-qa.venly.io/applications/1f64ded9-2a05-4824-b682-661023359357/StickFigureHi.png",
"imagePreview": "https://storage-qa.venly.io/applications/1f64ded9-2a05-4824-b682-661023359357/StickFigureHi.png",
"currentSupply": 0,
"animationUrls": [],
"attributes": [],
"transactionHash": "0x60bc12e2a99bb18b05b62099f395b41f25f33136a04ff4cb811a92ebce59c366",
"storage": {
"type": "cloud",
"location": "https://metadata-staging.arkane.network/metadata/contracts/53492/tokens/{id}"
}
}